<div *ngIf="categories.length; else noProducts">
  <div *ngFor="let category of categories">
    <button mat-raised-button color="primary">
      {{ category.category_name }}
    </button>
    <div *ngFor="let product of category.products">
      <div class="product d-flex justify-content-center mt-4">
        <div class="product-left d-flex flex-column w-50">
          <a [routerLink]="['../product', product.id]"
            ><b>{{ product.title }}</b></a
          >
          <i>${{ product.price }}</i>
        </div>
        <div class="product-right">
          <a [routerLink]="['../product', product.id]">
            <img [src]="url + product.picture_path" alt="image" />
          </a>
        </div>
      </div>
    </div>
  </div>
</div>

<ng-template #noProducts>
  <div class="d-flex justify-content-center align-items-center" id="main">
    <div class="inline-block align-middle">
      <h2 class="font-weight-normal lead" id="desc">No products were found</h2>
    </div>
  </div>
</ng-template>
